## pango1.0 1.48.10+ds1

=== debian/changelog ===
pango1.0 (1.48.10+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix division by zero when rendering strikethrough
      (Closes: #994522)
    - pango-view: Support antialiasing freetype
    - pango-view: Use graphicsmagick instead of imagemagick to convert
      between formats
  * pango1.0-tools Suggests graphicsmagick for optional functionality

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Sep 2021 10:54:40 +0100

pango1.0 (1.48.9+ds1-2) unstable; urgency=medium

  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Release to unstable (Closes: #992906)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Aug 2021 13:25:04 -0400

pango1.0 (1.48.9+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control.in: Update dependencies
  * Drop patch that was applied upstream
  * d/gbp.conf, d/control.in: Use debian/master branch.
    Older 1.48.x releases were already uploaded to debian/master.
  * d/p/tests-Skip-test-cases-that-are-laid-out-differently-with-.patch:
    Work around old version of Cantarell in Debian by skipping some tests.
    These tests rely on the size of particular glyphs in Cantarell, and
    will not work correctly with our older version with less glyph coverage.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 11:21:25 +0100

pango1.0 (1.48.7+ds1-2) experimental; urgency=medium

  * debian/libpango1.0-doc.links: Use versioned devhelp2 files
  * debian/patches: Use local values for size, fixing i386 test failures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 21 Jul 2021 19:27:22 +0200

pango1.0 (1.48.7+ds1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/copyright: Update gi-docgen files and licenses
  * debian/patches: Refresh and drop the ones applied upstream

  [ Simon McVittie ]
  * libpango1.0-doc: Fix symlinks for devhelp

  [ Laurent Bigonville ]
  * debian/control: Switch dependencies from libfreetype6-dev to libfreetype-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Jul 2021 17:37:17 +0200

pango1.0 (1.48.4+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build documentation with gi-docgen
    - d/control.in: Update dependencies for gi-docgen documentation
    - d/copyright: Add licensing for bundled copy of gi-docgen.
      Until it's declared stable, the upstream recommendation is to vendor
      gi-docgen, which means Policy §4.13 allows an embedded code copy.
    - d/p/gi-docgen/build-Disable-tests-on-subprojects.patch,
      d/p/gi-docgen/build-Don-t-install-gi-docgen-used-as-a-subproject.patch:
      Don't install gi-docgen
    - d/p/gi-docgen/Disable-web-fonts-for-now.patch:
      Disable use of remote or bundled fonts
    - d/p/gi-docgen/templates-Remove-html5shiv.patch:
      Disable use of remote html5shiv
  * d/watch: Repack with bundled fonts and pregenerated docs excluded.
    Excluding these is easier than sorting out their licensing.
  * d/p/Tolerate-slightly-different-output-for-the-word-breaking-.patch:
    Remove patch, fixed differently upstream
  * pango1.0-tests: Override Lintian false-positive
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 16:35:56 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pango1.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               fonts-cantarell <!nocheck>,
               fonts-noto-color-emoji <!nocheck>,
               fonts-noto-core <!nocheck>,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.12-4~),
               help2man,
               libcairo2-dev (>= 1.12.10),
               libfontconfig1-dev (>= 2.11.91),
               libfreetype-dev (>= 2.1.7),
               libfribidi-dev (>= 1.0.6),
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.62.0),
               libharfbuzz-dev (>= 2.2.0),
               libthai-dev (>= 0.1.22-3~),
               libx11-dev (>= 2:1.3.3-2),
               libxft-dev (>= 2.1.14-2),
               libxrender-dev (>= 1:0.9.0.2-2),
               libxt-dev,
               locales <!nocheck> | locales-all <!nocheck>,
               meson (>= 0.55.3),
               perl,
               pkg-config,
Build-Depends-Indep: python3 (>= 3.6) <!nodoc>,
                     python3-jinja2 <!nodoc>,
                     python3-markdown <!nodoc>,
                     python3-pygments <!nodoc>,
                     python3-toml <!nodoc>,
                     python3-typogrify <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/pango
Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
Homepage: https://www.pango.org/

Package: libpango1.0-0
Section: oldlibs
Architecture: any
Depends: libpango-1.0-0 (>= 1.42),
         libpangocairo-1.0-0 (>= 1.42),
         libpangoft2-1.0-0 (>= 1.42),
         libpangoxft-1.0-0 (>= 1.42),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libpangox-1.0-0 (>= 0.0.2-2~),
Multi-Arch: same
Description: Layout and rendering of internationalized text (transitional package)
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This is a transitional package and will be removed in a future release.
 Third-party packages should depend on the individual libraries that they
 use instead. If another package depends on this one, please report that
 as a bug.

Package: libpango-1.0-0
Architecture: any
Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
Breaks: libpangocairo-1.0-0 (<< 1.44.7),
        libpangoft2-1.0-0 (<< 1.44.7),
        libpangoxft-1.0-0 (<< 1.44.7),
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangocairo-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoxft-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoft2-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Layout and rendering of internationalized text - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libpango1.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-pango-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.12.10),
         libfontconfig1-dev (>= 2.11.91),
         libfreetype-dev (>= 2.1.7),
         libfribidi-dev (>= 1.0.6),
         libglib2.0-dev (>= 2.62.0),
         libharfbuzz-dev (>= 2.2.0),
         libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangoxft-1.0-0 (= ${binary:Version}),
         libthai-dev (>= 0.1.22-3~),
         libx11-dev (>= 2:1.3.3-2),
         libxft-dev (>= 2.1.14-2),
         libxrender-dev (>= 1:0.9.0.2-2),
         pango1.0-tools (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick, libpango1.0-doc
Multi-Arch: same
Description: Development files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the header files and some files needed for development
 with Pango.

Package: libpango1.0-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Multi-Arch: foreign
Description: Documentation files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the HTML documentation for the Pango in
 /usr/share/doc/libpango1.0-doc/ .

Package: gir1.2-pango-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
          gir1.2-pangofc-1.0 (= ${binary:Version}),
          gir1.2-pangoft2-1.0 (= ${binary:Version}),
          gir1.2-pangoot-1.0 (= ${binary:Version}),
          gir1.2-pangoxft-1.0 (= ${binary:Version})
Multi-Arch: same
Description: Layout and rendering of internationalized text - gir bindings
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: pango1.0-tests
Architecture: any
Depends: fonts-cantarell,
         fonts-noto-color-emoji,
         fonts-noto-core,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Layout and rendering of internationalized text - installed tests
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

built_binaries := $(shell dh_listpackages)

ifneq ($(filter libpango1.0-doc,$(built_binaries)),)
with_docs = true
else
with_docs = false
endif

%:
	dh $@

override_dh_auto_configure:
	chmod +x tests/gen-all-unicode.py
	chmod +x tests/gen-installed-test.py
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=$(with_docs) \
		-Dinstall-tests=true \
		$(NULL)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/run-with-locales \
		--generate en_US.utf8 \
		-- \
	env \
		LC_ALL=en_US.utf8 \
	dh_auto_test
endif

# Skip build-time tests if all we are building is documentation; running
# them once per architecture is plenty
override_dh_auto_test-indep:
	@:

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=libpango1.0-udeb -- -c4

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds1" \
https://download.gnome.org/sources/pango/([\d\.]+)/ \
	pango@ANY_VERSION@@ARCHIVE_EXT@

## pango1.0 1.50.6%2Bds

=== debian/changelog ===
pango1.0 (1.50.6+ds-2) unstable; urgency=medium

  * Cherry-pick patch to fix RTL navigation between lines (LP: #1966613)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 14:08:05 -0400

pango1.0 (1.50.6+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream
  * Adjust how documentation is installed

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Mar 2022 19:32:32 +0000

pango1.0 (1.50.4+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream
  * d/libpango-1.0-0.symbols: Add a new function
  * d/p/Revert-Fix-layout-tests.patch:
    Add patch from upstream to fix test failures
  * d/p/tests-Install-DejaVuSans-Bold.ttf-for-use-by-installed-te.patch:
    Add proposed patch to install another font in test data

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Feb 2022 11:52:40 +0000

pango1.0 (1.50.3+ds1-6) unstable; urgency=medium

  * Cherry-pick patch to fix markup-parse test error on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 30 Jan 2022 22:13:50 -0500

pango1.0 (1.50.3+ds1-5) unstable; urgency=medium

  * Team upload
  * d/libpango1.0-doc.links: Simplify, and use unversioned symlinks.
    devhelp wants the basename of the .devhelp file to match the basename
    of the symlink in /usr/share/devhelp/books. Instead of creating symlinks
    for the .devhelp files (in the wrong directory), make the symlink in
    /usr/share/devhelp/books match the generated documentation.
    (Closes: #1004124)
  * Move to debhelper compat level 13
    - Stop overriding dh_missing, --fail-missing is now the default
  * d/rules: Remove workaround for scripts that used to be non-executable.
    This was fixed in 1.48.1.

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jan 2022 19:01:30 +0000

pango1.0 (1.50.3+ds1-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Jan 2022 06:05:30 -0500

pango1.0 (1.50.3+ds1-3) experimental; urgency=medium

  * Team upload
  * Add proposed patch to fix tests on architectures with unsigned char

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 20:02:08 +0000

pango1.0 (1.50.3+ds1-2) experimental; urgency=medium

  * Team upload
  * d/control.in: Make installed fonts more predictable.
    Explicitly depending on fonts-dejavu-core ensures that it will be chosen
    for fontconfig-config's dependency, even on experimental buildds.
  * d/tests/python3-gi: Avoid use of a deprecated function

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 10:23:56 +0000

pango1.0 (1.50.3+ds1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * d/control.in: Update build-dependencies
  * d/control.in: Use libfontconfig-dev, not deprecated libfontconfig1-dev
  * d/copyright: Update
  * Refresh patch series
  * Update symbols file
  * d/p/Add-fonts-to-installed-tests.patch:
    Add patch from upstream to install required font subsets alongside the
    installed-tests
  * d/p/debian/tests-Skip-a-test-that-fails-with-a-small-variation-on-i3.patch:
    Skip a test that fails with a small variation on i386
  * Standards-Version: 4.6.0 (no changes required)
  * d/pango1.0-tests.lintian-overrides:
    Add Lintian overrides for font subsets bundled as test data
  * Upload to experimental to get some initial testing

  [ Jeremy Bicha ]
  * debian/control.in: Drop obsolete Suggests libpango1.0-dev > imagemagick

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Jan 2022 15:33:03 +0000

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds" \
https://download.gnome.org/sources/pango/([\d\.]+)/ \
	pango@ANY_VERSION@@ARCHIVE_EXT@

## pango1.0 1.50.6+ds

=== meson_options.txt ===
option('gtk_doc',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Build the GObject introspection data for Pango',
       type: 'feature',
       value: 'auto',
       yield: true)
option('install-tests',
       description : 'Install tests',
       type: 'boolean',
       value: 'false')
option('fontconfig',
       description : 'Build with FontConfig support. Passing \'auto\' or \'disabled\' disables fontconfig where it is optional, i.e. on Windows and macOS. Passing \'disabled\' on platforms where fontconfig is required results in error.',
       type: 'feature',
       value: 'auto')
option('sysprof',
       type : 'feature',
       value : 'disabled',
       description : 'include tracing support for sysprof')
option('libthai',
       type : 'feature',
       value : 'auto',
       description : 'Build with libthai support')
option('cairo',
       type : 'feature',
       value : 'enabled',
       description : 'Build with cairo support')
option('xft',
       type : 'feature',
       value : 'auto',
       description : 'Build with xft support')
option('freetype',
       type : 'feature',
       value : 'auto',
       description : 'Build with freetype support')

=== debian/changelog ===
pango1.0 (1.50.6+ds-2ubuntu1) jammy; urgency=medium

  * Cherry-pick fix for vertical color lines showing with composite emoji
    (LP: #2006756)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 11:34:31 -0500

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,26 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                fonts-cantarell <!nocheck>,
+               fonts-dejavu-core <!nocheck>,
                fonts-noto-color-emoji <!nocheck>,
                fonts-noto-core <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
                help2man,
                libcairo2-dev (>= 1.12.10),
-               libfontconfig1-dev (>= 2.11.91),
+               libfontconfig-dev (>= 2.13.0),
                libfreetype-dev (>= 2.1.7),
                libfribidi-dev (>= 1.0.6),
                libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.62.0),
-               libharfbuzz-dev (>= 2.2.0),
+               libharfbuzz-dev (>= 2.6.0),
                libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
                libxft-dev (>= 2.1.14-2),
@@ -38,7 +40,7 @@
                      python3-pygments <!nodoc>,
                      python3-toml <!nodoc>,
                      python3-typogrify <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
@@ -75,7 +77,7 @@
 
 Package: libpango-1.0-0
 Architecture: any
-Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
+Depends: fontconfig (>= 2.13.0), ${misc:Depends}, ${shlibs:Depends}
 Breaks: libpangocairo-1.0-0 (<< 1.44.7),
         libpangoft2-1.0-0 (<< 1.44.7),
         libpangoxft-1.0-0 (<< 1.44.7),
@@ -183,11 +185,11 @@
 Architecture: any
 Depends: gir1.2-pango-1.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.12.10),
-         libfontconfig1-dev (>= 2.11.91),
+         libfontconfig-dev (>= 2.13.0),
          libfreetype-dev (>= 2.1.7),
          libfribidi-dev (>= 1.0.6),
          libglib2.0-dev (>= 2.62.0),
-         libharfbuzz-dev (>= 2.2.0),
+         libharfbuzz-dev (>= 2.6.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
@@ -200,7 +202,7 @@
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: imagemagick, libpango1.0-doc
+Suggests: libpango1.0-doc
 Multi-Arch: same
 Description: Development files for the Pango
  Pango is a library for layout and rendering of text, with an emphasis
@@ -284,7 +286,3 @@
  widget toolkit as a test platform. Pango forms the core of text and
  font handling for GTK+-2.0.
  .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library

=== debian/tests/control ===
Tests: build
Depends: build-essential, libpango1.0-dev, pkg-config
Restrictions: superficial

Tests: installed-tests
Depends: locales | locales-all, pango1.0-tests, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing
Restrictions: allow-stderr

Tests: python3-gi
Depends: gir1.2-gdk-3.0, gir1.2-pango-1.0, python3-gi, xauth, xvfb
Restrictions: allow-stderr, superficial

## pango1.0 1.50.7+ds

=== debian/changelog ===
pango1.0 (1.50.7+ds-1~pureos1) byzantium; urgency=medium

  * d/control: Add XSBC-Original-Vcs-* Fields
  * d/control: Update Vcs-* URLs
  * Set PureOS as maintainer, leaving original as XSBC-Original-Maintainer

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 23 Jun 2022 20:08:31 +0200

pango1.0 (1.50.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch that was applied upstream
  * d/p/debian/Revert-expected-layouts-to-match-1.50.6.patch:
    Add patch to work around test failures with Debian's older harfbuzz
  * d/p/debian/tests-Treat-some-more-layout-tests-as-flaky.patch:
    Future-proof layout tests against Harfbuzz being upgraded

 -- Simon McVittie <smcv@debian.org>  Wed, 04 May 2022 10:52:43 +0100

pango1.0 (1.48.4+ds1-1~pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 09 Jul 2021 04:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -40,9 +40,11 @@
                      python3-pygments <!nodoc>,
                      python3-toml <!nodoc>,
                      python3-typogrify <!nodoc>,
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://source.puri.sm/Librem5/debs/pango1.0
+Vcs-Git: https://source.puri.sm/Librem5/debs/pango1.0.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
 
 Package: libpango1.0-0
@@ -283,6 +285,3 @@
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
  needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .

## pango1.0 1.50.10+ds

=== debian/changelog ===
pango1.0 (1.50.10+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 14:07:33 -0400

pango1.0 (1.50.9+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/watch: Ignore pango2 1.90.x snapshot.
    pango2 is a separate, parallel-installable library (like the difference
    between GTK 3 and 4), so in Debian it should be a new pango2 source
    package.
  * d/copyright: Replace CC0-1.0 text with a reference to common-licenses
  * d/p/debian/Work-around-1014417-in-Meson.patch:
    Temporarily work around TAP parsing regression #1014417 in Meson
  * d/p/debian/Revert-Update-tests-to-pass-on-F36.patch:
    Adjust more test expectations for older dependencies (workaround
    for #1013673 or similar)
  * Standards-Version: 4.6.1 (no changes required)
  * Update syntax of Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Aug 2022 17:07:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -40,11 +39,9 @@
                      python3-pygments <!nodoc>,
                      python3-toml <!nodoc>,
                      python3-typogrify <!nodoc>,
-Standards-Version: 4.5.1
-Vcs-Browser: https://source.puri.sm/Librem5/debs/pango1.0
-Vcs-Git: https://source.puri.sm/Librem5/debs/pango1.0.git
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
-XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/pango
+Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
 
 Package: libpango1.0-0
@@ -285,3 +282,9 @@
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
  needed. however, most of the work on Pango-1.0 was done using the GTK+
+ widget toolkit as a test platform. Pango forms the core of text and
+ font handling for GTK+-2.0.
+ .
+ Pango is designed to be modular; the core Pango layout can be used with
+ four different font backends:
+  - Core X windowing system fonts

## pango1.0 1.50.12+ds

=== debian/changelog ===
pango1.0 (1.50.12+ds-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * Drop revert patches now that we've updated harfbuzz (Closes: #1022341)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 09:20:25 -0500

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
                fonts-dejavu-core <!nocheck>,
                fonts-noto-color-emoji <!nocheck>,
                fonts-noto-core <!nocheck>,
-               gnome-pkg-tools (>= 0.11),
-               gobject-introspection (>= 0.9.12-4~),
                help2man,
                libcairo2-dev (>= 1.12.10),
                libfontconfig-dev (>= 2.13.0),
@@ -33,12 +31,7 @@
                meson (>= 0.55.3),
                perl,
                pkg-config,
-Build-Depends-Indep: python3 (>= 3.6) <!nodoc>,
-                     python3-jinja2 <!nodoc>,
-                     python3-markdown <!nodoc>,
-                     python3-pygments <!nodoc>,
-                     python3-toml <!nodoc>,
-                     python3-typogrify <!nodoc>,
+Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
@@ -288,3 +281,13 @@
  Pango is designed to be modular; the core Pango layout can be used with
  four different font backends:
   - Core X windowing system fonts
+  - Client-side fonts on X using the Xft library
+  - Direct rendering of scalable fonts using the FreeType library
+  - Native fonts on Microsoft backends
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.
+
+Package: pango1.0-tools
+Architecture: any
+Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	chmod +x tests/gen-all-unicode.py
-	chmod +x tests/gen-installed-test.py
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dgtk_doc=$(with_docs) \
@@ -46,8 +44,5 @@
 	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs --add-udeb=libpango1.0-udeb -- -c4

## pango1.0 1.51.0+ds

=== debian/changelog ===
pango1.0 (1.51.0+ds-4) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Reinstate dh-sequence-gnome, but disable
    control.in.
    Ubuntu uses this sequence to pull in the Ubuntu-specific
    dh_translations.
  * d/control: Depend on systematic names for required GIR XML
    harfbuzz hasn't actually added a Provides for gir1.2-harfbuzz-0.0-dev
    yet (#1061082), so we can't depend on that one yet. Hide it behind
    a build-profile for now.
  * d/control: Depend on recent gobject-introspection.
    This means we no longer need libgirepository1.0-dev, which has the
    disadvantage that it isn't multi-arch co-installable.
  * d/rules: Use cross g-ir-scanner if cross-compiling (see #1060838)
  * d/control: Use perl from the build architecture if cross-compiling.
    We are not compiling a Perl extension, just running a script, so
    the build architecture's perl is fine.
  * d/control: Don't produce pango1.0-tools during cross-builds.
    The man page is generated with help2man, so it's skipped when
    cross-building. This means the pango1.0-tools package would be
    incomplete if we are cross-building, unless we are under the nodoc
    build profile, in which case we explicitly don't mind omitting
    man pages.
    In practice the only package in Debian main that depends on
    pango1.0-tools is libpango1.0-dev, and a build-architecture copy of
    pango1.0-tools is adequate for that purpose, so not building it is
    unlikely to be particularly harmful.

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jan 2024 00:34:38 +0000

pango1.0 (1.51.0+ds-3) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from a template.
    We don't use any of the other dh-sequence-gnome features (there are no
    libtool archives, and we don't use the gnome:Foo family of substvars)
    so drop the build-dependency on dh-sequence-gnome.
  * libpango1.0-dev: Add Provides for the contained GIR XML.
    Adding versioned Provides on gir1.2-*-dev corresponding to each GIR XML
    file is a small step towards being able to exclude GObject-Introspection
    with a build-profile when cross-compiling. (Helps: #1030223)
  * Drop libpango1.0-0 transitional package.
    This was released in Debian 11 and 12 with all the versioned dependencies
    in the form x (>= y), so if third-party packages still depend on this
    obsolete transitional package, users can keep its Debian 12 version
    installed. (Closes: #1055225)
  * Remove version constraints unnecessary since Debian 11
  * d/upstream/metadata: Canonicalize Bug-Database, Bug-Submit
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Nov 2023 12:44:04 +0000

pango1.0 (1.51.0+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 23:04:52 -0400

pango1.0 (1.51.0+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 04:47:12 -0400

pango1.0 (1.50.14+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Jun 2023 09:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: pango1.0
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -14,65 +10,36 @@
                fonts-dejavu-core <!nocheck>,
                fonts-noto-color-emoji <!nocheck>,
                fonts-noto-core <!nocheck>,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-harfbuzz-0.0-dev <pkg.gobject-introspection.todo>,
+               gobject-introspection (>= 1.78.1-9~),
                help2man,
-               libcairo2-dev (>= 1.12.10),
-               libfontconfig-dev (>= 2.13.0),
-               libfreetype-dev (>= 2.1.7),
-               libfribidi-dev (>= 1.0.6),
-               libgirepository1.0-dev (>= 0.9.5),
-               libglib2.0-dev (>= 2.62.0),
-               libharfbuzz-dev (>= 2.6.0),
-               libthai-dev (>= 0.1.22-3~),
-               libx11-dev (>= 2:1.3.3-2),
-               libxft-dev (>= 2.1.14-2),
-               libxrender-dev (>= 1:0.9.0.2-2),
+               libcairo2-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
+               libfribidi-dev,
+               libglib2.0-dev,
+               libharfbuzz-dev,
+               libthai-dev,
+               libx11-dev,
+               libxft-dev,
+               libxrender-dev,
                libxt-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 0.55.3),
-               perl,
+               meson,
+               perl:native,
                pkg-config,
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
 
-Package: libpango1.0-0
-Section: oldlibs
-Architecture: any
-Depends: libpango-1.0-0 (>= 1.42),
-         libpangocairo-1.0-0 (>= 1.42),
-         libpangoft2-1.0-0 (>= 1.42),
-         libpangoxft-1.0-0 (>= 1.42),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: libpangox-1.0-0 (>= 0.0.2-2~),
-Multi-Arch: same
-Description: Layout and rendering of internationalized text (transitional package)
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This is a transitional package and will be removed in a future release.
- Third-party packages should depend on the individual libraries that they
- use instead. If another package depends on this one, please report that
- as a bug.
-
 Package: libpango-1.0-0
 Architecture: any
-Depends: fontconfig (>= 2.13.0), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libpangocairo-1.0-0 (<< 1.44.7),
-        libpangoft2-1.0-0 (<< 1.44.7),
-        libpangoxft-1.0-0 (<< 1.44.7),
+Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -176,25 +143,31 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-pango-1.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.12.10),
-         libfontconfig-dev (>= 2.13.0),
-         libfreetype-dev (>= 2.1.7),
-         libfribidi-dev (>= 1.0.6),
-         libglib2.0-dev (>= 2.62.0),
-         libharfbuzz-dev (>= 2.6.0),
+         libcairo2-dev,
+         libfontconfig-dev,
+         libfreetype-dev,
+         libfribidi-dev,
+         libglib2.0-dev,
+         libharfbuzz-dev,
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
          libpangoxft-1.0-0 (= ${binary:Version}),
-         libthai-dev (>= 0.1.22-3~),
-         libx11-dev (>= 2:1.3.3-2),
-         libxft-dev (>= 2.1.14-2),
-         libxrender-dev (>= 1:0.9.0.2-2),
+         libthai-dev,
+         libx11-dev,
+         libxft-dev,
+         libxrender-dev,
          pango1.0-tools (= ${binary:Version}),
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libpango1.0-doc
+Provides: gir1.2-pango-1.0-dev (= ${binary:Version}),
+          gir1.2-pangocairo-1.0-dev (= ${binary:Version}),
+          gir1.2-pangofc-1.0-dev (= ${binary:Version}),
+          gir1.2-pangoft2-1.0-dev (= ${binary:Version}),
+          gir1.2-pangoot-1.0-dev (= ${binary:Version}),
+          gir1.2-pangoxft-1.0-dev (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the Pango
  Pango is a library for layout and rendering of text, with an emphasis
@@ -288,6 +261,27 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
+# built if: nodoc || !cross
 Package: pango1.0-tools
+Build-Profiles: <nodoc> <!cross>
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: graphicsmagick
+Multi-Arch: foreign
+Description: Development utilities for Pango
+ Pango is a library for layout and rendering of text, with an emphasis
+ on internationalization. Pango can be used anywhere that text layout is
+ needed. However, most of the work on Pango-1.0 was done using the GTK+
+ widget toolkit as a test platform. Pango forms the core of text and
+ font handling for GTK+ 2.0.
+ .
+ Pango is designed to be modular; the core Pango layout can be used with
+ four different font backends:
+  - Core X windowing system fonts
+  - Client-side fonts on X using the Xft library
+  - Direct rendering of scalable fonts using the FreeType library
+  - Native fonts on Microsoft backends.
+ .
+ This package contains pango-view, the Pango text viewer, and pango-list,
+ a utility that outputs a list of compatible system fonts.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 built_binaries := $(shell dh_listpackages)
+configure_options :=
 
 ifneq ($(filter libpango1.0-doc,$(built_binaries)),)
 with_docs = true
@@ -11,15 +12,22 @@
 with_docs = false
 endif
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+configure_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
+endif
+
 %:
 	dh $@
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dgtk_doc=$(with_docs) \
 		-Dinstall-tests=true \
-		$(NULL)
+		$(configure_options)
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## pango1.0 1.52.1%2Bds

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds" \
https://download.gnome.org/sources/pango/(1\.[0-8][0-9])/ \
	pango@ANY_VERSION@@ARCHIVE_EXT@
